.single-container {
  max-width: 1360px;
  display: flex;
  justify-content: center;
  margin: 0 auto;
}

.single-wrapper {
  max-width: 890px;
  padding: 1rem;
  box-sizing: border-box;
}

.single-wrapper .top-container {
  padding: 1rem;
  box-sizing: border-box;
  border-radius: 0.5rem;
  background-color: var(--mainSecondBtn);
  color: var(--textColor);
  margin-bottom: 1rem;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;
}

.single-wrapper .top-container .user-image {
  width: 60px;
  height: 60px;
  background-color: var(--mainGreenBtn);
  border-radius: 30px;
  margin: 0 1rem 1rem 0;
  position: relative;
  overflow: hidden;
}

.single-wrapper .top-container .user-image img {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 60%;
}

.single-wrapper .top-container .name-and-time {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.single-wrapper .top-container .loc-and-int {
  display: flex;
  align-items: center;
}

.single-wrapper .top-container .name-and-time h2 {
  margin: 0 0 0.25rem 0;
  font-weight: 600;
  font-size: 1rem;
}

.single-wrapper .top-container .name-and-time p {
  margin: 0 0 1.5rem 0;
  font-size: 0.8rem;
}

.single-wrapper .top-container .status-interest button {
  padding: 0.6rem;
  font-size: 0.8rem;
  font-weight: 600;
  color: var(--text);
  background-color: var(--mainHeroBtn);
  border-radius: 0.8rem;
  border: none;
}

.single-wrapper .top-container .status-location p {
  margin: 0;
  margin-left: 1rem;
  font-size: 0.8rem;
}

.single-wrapper .top-container .status-location svg {
  width: 10px;
  margin-right: 0.3rem;
}

.single-wrapper .bottom-container {
  font-size: 0.9rem;
  padding: 1rem;
  box-sizing: border-box;
  background-color: var(--mainSecondBtn);
  color: var(--text);
  border-radius: 0.5rem;
  display: flex;
  flex-direction: column;
}

.single-wrapper .bottom-container .left-bottom-container {
  width: 100%;
  display: flex;
  flex-direction: column;
}

.single-wrapper .bottom-container .left-bottom-container .content {
  padding: 1rem;
  width: 100%;
  padding-left: 0;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.single-wrapper .bottom-container .left-bottom-container .media {
  display: flex;
  flex-wrap: wrap;
}

.single-wrapper .bottom-container .left-bottom-container .media .post-image {
  width: 200px;
  height: 200px;
  background-color: var(--mainHeroBtn);
  border-radius: 10px;
  margin: 0 0.5rem 1rem;
  position: relative;
  overflow: hidden;
}

.single-wrapper
  .bottom-container
  .left-bottom-container
  .media
  .post-image
  img {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 100%;
}

.single-wrapper .bottom-container .right-bottom-container .top-bar {
  display: flex;
  padding: 0.5rem;
  box-sizing: border-box;
  background-color: violet;
  border-radius: 0.5rem;
  margin-bottom: 0.5rem;
}

.single-wrapper .bottom-container .right-bottom-container .top-bar {
  justify-content: space-evenly;
}

.single-wrapper .bottom-container .right-bottom-container .comment-load {
  display: flex;
  flex-direction: column;
  padding: 0.5rem;
  box-sizing: border-box;
  background-color: violet;
  border-radius: 0.5rem;
}

.single-wrapper .bottom-container .right-bottom-container .comment-load form {
  width: 100%;
}

.single-wrapper
  .bottom-container
  .right-bottom-container
  .comment-load
  form
  textarea {
  border-radius: 0.5rem;
  margin-bottom: 1rem;
  padding: 1rem;
  box-sizing: border-box;
  width: 100%;
  height: 90px;
}

.single-wrapper
  .bottom-container
  .right-bottom-container
  .comment-load
  .comment-map {
  border-top: 0.2rem solid green;
  border-radius: 0.1rem;
}

.single-wrapper
  .bottom-container
  .right-bottom-container
  .comment-load
  .comment-map
  .identity {
  display: flex;
  justify-content: space-between;
  margin: 1rem 0.5rem;
}

.single-wrapper
  .bottom-container
  .right-bottom-container
  .comment-load
  .comment-map
  .comment {
  padding: 1rem;
  box-sizing: border-box;
}

@media screen and (min-width: 482px) {
  .single-wrapper .top-container {
    align-items: flex-start;
  }
  .single-wrapper .top-container .loc-and-int {
    margin-left: auto;
  }
}

@media screen and (min-width: 540px) {
  .single-wrapper .top-container .name-and-time {
    margin-right: 1rem;
  }

  .single-wrapper .top-container .status-location {
    margin-left: auto;
  }
}

@media screen and (min-width: 605px) {
  .single-wrapper .bottom-container {
    flex-direction: row;
  }

  .single-wrapper .bottom-container .left-bottom-container {
    padding-left: 2rem;
  }

  .single-wrapper .bottom-container .right-bottom-container {
    max-width: 300px;
    min-width: 300px;
    padding-left: 1.5rem;
    box-sizing: border-box;
    position: sticky;
    top: 5rem;
  }

  .single-wrapper .bottom-container .right-bottom-container .comment-load {
    max-height: 500px;
  }

  .single-wrapper
    .bottom-container
    .right-bottom-container
    .comment-load
    .comment-map-container {
    overflow: auto;
    padding-right: 0.5rem;
  }
}

@media screen and (min-width: 960px) {
  .single-wrapper {
    width: 960px;
    padding: 1rem;
    box-sizing: border-box;
  }
  .single-wrapper .bottom-container .right-bottom-container {
    margin-left: auto;
  }
}
